summaryrefslogtreecommitdiffstats
path: root/tde_release_notes
diff options
context:
space:
mode:
Diffstat (limited to 'tde_release_notes')
-rw-r--r--tde_release_notes35
1 files changed, 35 insertions, 0 deletions
diff --git a/tde_release_notes b/tde_release_notes
new file mode 100644
index 000000000..bd4e27e0d
--- /dev/null
+++ b/tde_release_notes
@@ -0,0 +1,35 @@
+#!/bin/sh
+#
+# A script to open/autostart the release notes in the help
+# handbook, but only once.
+
+# Run this script from the global autostart directory.
+
+# When the release version increments, this script will detect the
+# difference through tde-config and a respective key in kdeglobals.
+# This script then will open the release notes for that next release.
+# The only file to update is: tdebase/doc/releasenotes/index.docbook.
+
+# As this script is run as a global TDE autostart app, all
+# environment variables should already be set.
+
+if [ "$TDEDIR" = "" ] || [ "$TDEHOME" = "" ]; then
+ exit 1
+fi
+
+RELEASE_VERSION="$( ${TDEDIR}/bin/tde-config --version | sed -n 's|^TDE: ||p' )"
+RELEASE_NOTES="$( ${TDEDIR}/bin/kreadconfig --file ${TDEHOME}/share/config/kdeglobals --group "Release Notes" --key "$RELEASE_VERSION" )"
+
+if [ "$RELEASE_NOTES" = "" ] || [ "$RELEASE_NOTES" != "true" ]; then
+ echo "[release_notes] Release version: $RELEASE_VERSION"
+ echo "[release_notes] Release notes: $RELEASE_NOTES"
+ if ${TDEDIR}/bin/khelpcenter help:/khelpcenter/releasenotes ; then
+ ${TDEDIR}/bin/kwriteconfig --file ${TDEHOME}/share/config/kdeglobals --group "Release Notes" --key "$RELEASE_VERSION" --type bool "true"
+ fi
+ RELEASE_NOTES="$( ${TDEDIR}/bin/kreadconfig --file ${TDEHOME}/share/config/kdeglobals --group "Release Notes" --key "$RELEASE_VERSION" )"
+ echo "[release_notes] Release notes: $RELEASE_NOTES"
+fi
+
+unset RELEASE_NOTES RELEASE_VERSION
+exit 0
+